package com.ecep.contract.ds.other.controller;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.ecep.contract.cloud.rk.CloudRkService;
import com.ecep.contract.model.CloudRk;

@RestController
@RequestMapping("/cloudRk")
public class CloudRkController {
    @Autowired
    private CloudRkService cloudRkService;

    @RequestMapping("/findById")
    public CloudRk findById(Integer id) {
        return cloudRkService.findById(id);
    }

    @RequestMapping("/list")
    public Page<CloudRk> list(
            Map<String, Object> params,
            @RequestParam(defaultValue = "0", name = "page") int pageNumber,
            @RequestParam(defaultValue = "10", name = "size") int pageSize) {
        Specification<CloudRk> spec = null;
        Sort sort = Sort.by(Sort.Order.desc("id"));
        Pageable pageable = PageRequest.of(pageNumber, pageSize, sort);
        return cloudRkService.findAll(spec, pageable);
    }

    @RequestMapping("/save")
    public CloudRk save(CloudRk cloudRk) {
        return cloudRkService.save(cloudRk);
    }

    @RequestMapping("/delete")
    public void delete(Integer id) {
        CloudRk cloudRk = cloudRkService.findById(id);
        cloudRkService.delete(cloudRk);
    }
}